# OpalIMManager::IM_Work Class Reference

`#include <im.h>`

Inheritance diagram for OpalIMManager::IM_Work:

[legend]
Collaboration diagram for OpalIMManager::IM_Work:
[legend]

## Public Member Functions

| IM_Work (OpalIMManager &mgr, const PString &conversationId)
virtual | ~IM_Work ()
virtual void | Work ()=0

## Data Fields

OpalIMManager & | m_mgr
PString | m_conversationId

## Constructor & Destructor Documentation

OpalIMManager::IM_Work::IM_Work | ( | OpalIMManager & | mgr,
|  | const PString & | conversationId |
| ) |  |  |

virtual OpalIMManager::IM_Work::~IM_Work | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void OpalIMManager::IM_Work::Work | ( |  | ) | `[pure virtual]`

Implemented in OpalIMManager::NewIncomingIM_Work, OpalIMManager::NewConversation_Work, OpalIMManager::MessageSent_Work, and OpalIMManager::CompositionIndicationTimeout_Work.

## Field Documentation

PString OpalIMManager::IM_Work::m_conversationId

OpalIMManager& OpalIMManager::IM_Work::m_mgr

The documentation for this class was generated from the following file:

- im.h